
 LinHES - Feature # 817: integrate kernel patch

Status: Closed Priority: Normal
Author: lueddich Category: Kernel
Created: 02/26/2012 Assignee: cecil
Updated: 03/19/2012 Due date:
Description: To get dvbloopback-device running, the kernel patch

http://kipdola.be/subdomain/linux-2.6.38-dvb-mutex.patch

is needed. I integrated it by downloading kernel source, patched it with the patch file, rebuild the kernel and 
replaced only the affected module

drivers/media/dvb/dvb-core/dvb-core.ko

The patch works for 2.6.39 as well and is compatible to 3.0, too.

History
02/27/2012 07:54 am - cecil
- Estimated time set to 2.00

- Assignee set to cecil

02/28/2012 02:58 am - lueddich
Would it help you when I upload the compiled module? It is only in format 'dvb-core.ko', not gzipped...

02/28/2012 08:12 pm - cecil
What is the patch needed for? What is the benefit?

02/29/2012 12:38 am - lueddich
The module dvbloopback by sasc-ng does not work without that patch. You can not tune a loopback-dvb-device then.

03/01/2012 06:06 pm - cecil
- Target version set to 7.3

- % Done changed from 0 to 40

- Status changed from New to In Progress

03/01/2012 06:38 pm - cecil
- % Done changed from 40 to 90

- Status changed from In Progress to Feedback

The package is now in the testing repo.@sudo pacman -Sy kernel26@ Please let me know if it works as required.

03/02/2012 12:43 am - lueddich
Great, I'll test this during the weekend.

03/08/2012 08:21 am - lueddich
tested and works, thanks a lot!

03/19/2012 11:15 pm - cecil
- % Done changed from 90 to 100

- Status changed from Feedback to Closed

Files
linux-2.6.38-dvb-mutex.patch 588 Bytes 02/26/2012 lueddich
